Create CRM export
POST
/v1/crm/exportsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonfiltersCRMRecordFilter[] | nullShow propertiesHide properties
Array of
CRMRecordFilterfieldstringrequiredoperatorstringsourcestringvalueanyformatstringAllowed:
csvjsonlimitinteger<int32>object_kindstringrequiredoffsetinteger<int32>searchstringsortstringview_idstringResponses
200OK
contentstringrequiredcreated_atstringrequiredformatstringrequiredidstringrequiredobject_kindstringrequiredrequestanyrequiredresultanyrequiredstatusstringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/exports" \
-H "Content-Type: application/json" \
-d '{
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"format": "csv",
"limit": 0,
"object_kind": "string",
"offset": 0,
"search": "string",
"sort": "string",
"view_id": "string"
}'const response = await fetch("/v1/crm/exports", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"format": "csv",
"limit": 0,
"object_kind": "string",
"offset": 0,
"search": "string",
"sort": "string",
"view_id": "string"
})
});import requests
response = requests.post(
"/v1/crm/exports",
headers={
"Content-Type": "application/json"
},
json={
"filters": [
{
"field": "string",
"operator": "string",
"source": "string",
"value": "string"
}
],
"format": "csv",
"limit": 0,
"object_kind": "string",
"offset": 0,
"search": "string",
"sort": "string",
"view_id": "string"
},
)Response
{
"content": "string",
"created_at": "string",
"format": "string",
"id": "string",
"object_kind": "string",
"request": "string",
"result": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}